AceTime 3.0.0 Date and time classes for Arduino that support timezones from the TZ Database.

Public Member Functions | List of all members
ace_time::ZoneSorterByName< ZM > Class Template Reference

ZoneSorterByName, templatized on BasicZoneManager or ExtendedZoneManager. More...

`#include <ZoneSorterByName.h>`

## Public Member Functions
| ZoneSorterByName (const ZM &zoneManager)
| Constructor. More...
void | fillIndexes (uint16_t indexes[], uint16_t size) const
| Fill the given array of indexes with index from [0, size). More...
void | sortIndexes (uint16_t indexes[], uint16_t size) const
| Sort the given array of indexes by UTC offset, then by name.
void | sortIds (uint32_t ids[], uint16_t size) const
| Sort the given array of zone ids by UTC offset, then by name.
void | sortNames (const char *names[], uint16_t size) const
| Sort the given array of zone names by UTC offset, then by name.

## Detailed Description

### template<typename ZM>
class ace_time::ZoneSorterByName< ZM >

ZoneSorterByName, templatized on BasicZoneManager or ExtendedZoneManager.

Sorts the array of zones by name.

Template Parameters

  ZM | ZoneManager

Definition at line 21 of file ZoneSorterByName.h.

## Constructor & Destructor Documentation

## ◆ ZoneSorterByName()

template<typename ZM >

ace_time::ZoneSorterByName< ZM >::ZoneSorterByName | ( | const ZM & | zoneManager | ) |
| inline

Constructor.

Parameters

  zoneManager | instance of the ZoneManager

Definition at line 27 of file ZoneSorterByName.h.

## Member Function Documentation

## ◆ fillIndexes()

template<typename ZM >

void ace_time::ZoneSorterByName< ZM >::fillIndexes | ( | uint16_t | indexes[],
|  | uint16_t | size
| ) |  | const
| inline

Fill the given array of indexes with index from [0, size).

The resulting indexes array can be sorted using sortIndexes().

Definition at line 35 of file ZoneSorterByName.h.

The documentation for this class was generated from the following file:

- /home/brian/src/AceTimeSuite/libraries/AceTimeLib/src/ace_time/ZoneSorterByName.h